Bug 190973 - [PATCH] Update mail/davmail to 4.5.0
Summary: [PATCH] Update mail/davmail to 4.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jung-uk Kim
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-12 16:44 UTC by Jung-uk Kim
Modified: 2014-07-03 00:21 UTC (History)
3 users (show)

See Also:


Attachments
Update mail/davmail to 4.5.0 (6.51 KB, patch)
2014-06-12 16:44 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jung-uk Kim freebsd_committer 2014-06-12 16:44:24 UTC
Created attachment 143713 [details]
Update mail/davmail to 4.5.0

The attached patch update mail/davmail to 4.5.0.  Also, it does:

- Fix rc script to properly start and stop.
- Install a real sample file for davmail.properties.
- Fix a minor typo in the sample file.
- Use @sample for plist instead of rolling our own.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-06-13 04:33:05 UTC
Notify maintainer.
Comment 2 Martin Wilke freebsd_committer 2014-06-15 02:59:24 UTC
submitter is committer
Comment 3 commit-hook freebsd_committer 2014-06-30 17:53:25 UTC
A commit references this bug:

Author: jkim
Date: Mon Jun 30 17:52:28 UTC 2014
New revision: 359893
URL: http://svnweb.freebsd.org/changeset/ports/359893

Log:
  - Update to 4.5.0.
  - Fix rc script to properly start and stop.
  - Install a real sample file for davmail.properties.
  - Fix a minor typo in the sample file.
  - Use @sample for plist instead of rolling our own.

  PR:		190973
  Approved by:	john.c.prather@gmail.com (maintainer, timeout > 2 weeks)

Changes:
  head/mail/davmail/Makefile
  head/mail/davmail/distinfo
  head/mail/davmail/files/davmail.in
  head/mail/davmail/files/davmail.properties.sample
  head/mail/davmail/files/davmail.sh.in
  head/mail/davmail/files/patch-src__etc__davmail.properties
  head/mail/davmail/pkg-plist
Comment 4 John Hein 2014-07-01 18:45:59 UTC
jkim,
Thanks for the changes.  A couple comments (not meriting a new bug report I think, so I'll hijack this one for the moment).

How was the previous start & stop failing?  It was working for me in the normal use cases I tested, so I'm curious what the failure mode was.

I think '%%PREFIX%%/bin/java' in davmail.in (and davmail.sh.in) should be '%%LOCALBASE%%/bin/java', or better IMO, just 'java' and let PATH find it.  But java is not necessarily installed in davmail's PREFIX.
Comment 5 Jung-uk Kim freebsd_committer 2014-07-02 23:49:56 UTC
(In reply to John Hein from comment #4)
> How was the previous start & stop failing?  It was working for me in the
> normal use cases I tested, so I'm curious what the failure mode was.
>
> I think '%%PREFIX%%/bin/java' in davmail.in (and davmail.sh.in) should be
> '%%LOCALBASE%%/bin/java', or better IMO, just 'java' and let PATH find it. 
> But java is not necessarily installed in davmail's PREFIX.

'java' cannot start because /usr/local/bin is not in PATH, i.e.,

% grep PATH /etc/rc
PATH=/sbin:/bin:/usr/sbin:/usr/bin
export HOME PATH

Therefore, it has to be prefixed.  I agree that %%LOCALBASE%% is better, though.  I'll do that now.
Comment 6 John Hein 2014-07-03 00:21:45 UTC
Okay, thanks.

You're right re: PATH, of course.  I had a forgotten local mod that added to that basic PATH.